Query On Hold Reasons
curl --request GET \
--url https://api.jtl-cloud.com/erp/onHoldReasons \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/onHoldReasons"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/onHoldReasons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"Id": 123,
"Name": "needs further review",
"IsMergeable": false,
"ItemsNotUsedForPurchaseList": false
}
]onholdreason
Query On Hold Reasons
Query all on hold reasons for sales orders
GET
/
onHoldReasons
Query On Hold Reasons
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Response
Returns all payment methods.
Name of the on hold reason.
Example:
"needs further review"
Indicates if orders with an on hold reason are allowed to be merged with other orders from the same customer.
Example:
false
If this option is enabled, then the items in this order are not used for calculating the purchase list.
Example:
false
Was this page helpful?